Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.account.management
Interface ApplicationAccountMBean

public interface ApplicationAccountMBean

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Method Summary
`void` | `addApplicationAccount(String applicationIdentifier, String serviceProviderIdentifier, String applicationGroupIdentifier, String reference)` Add an application account.
`void` | `addServiceProviderAccount(String serviceProviderIdentifier, String serviceProviderGroupIdentifier, String reference)` Add a service provider account.
`int` | `countApplicationAccounts(String serviceProviderIdentifier, String applicationGroupIdentifier, String state)` Get number of application accounts.
`int` | `countServiceProviderAccounts(String serviceProviderGroupIdentifier, String state)` Get number of service provider accounts.
`ApplicationDescription` | `getApplicationAccount(String applicationIdentifier, String serviceProviderIdentifier)` Get account description.
`ServiceProviderDescription` | `getServiceProviderAccount(String serviceProviderIdentifier)` Get account description.
`Set` | `listApplicationAccounts(String serviceProviderIdentifier, String applicationGroupIdentifier, String state, int offset, int size)` List application accounts.
`Set` | `listServiceProviderAccounts(String serviceProviderGroupIdentifier, String state, int offset, int size)` List service provider accounts.
`void` | `removeApplicationAccount(String applicationIdentifier, String serviceProviderIdentifier)` Remove a deactivated empty application account.
`void` | `removeServiceProviderAccount(String serviceProviderIdentifier)` Remove a deactivated empty service provider account.
`void` | `setApplicationAccountGroup(String applicationIdentifier, String serviceProviderIdentifier, String applicationGroupIdentifier)` Set group for an application account.
`void` | `setApplicationAccountProperties(String applicationIdentifier, String serviceProviderIdentifier, Set properties)` Set properties for an application account.
`void` | `setApplicationAccountReference(String applicationIdentifier, String serviceProviderIdentifier, String reference)` Set reference for an application account.
`void` | `setApplicationAccountState(String applicationIdentifier, String serviceProviderIdentifier, String state)` Set state for an application account.
`void` | `setServiceProviderAccountGroup(String serviceProviderIdentifier, String serviceProviderGroupIdentifier)` Set group for a service provider account.
`void` | `setServiceProviderAccountProperties(String serviceProviderIdentifier, Set properties)` Set properties for a service provider account.
`void` | `setServiceProviderAccountReference(String serviceProviderIdentifier, String reference)` Set state for a service provider account.
`void` | `setServiceProviderAccountState(String serviceProviderIdentifier, String state)` Set state for a service provider account.

Method Detail

### addApplicationAccount

    public void addApplicationAccount(String applicationIdentifier,
                                      String serviceProviderIdentifier,
                                      String applicationGroupIdentifier,
                                      String reference)
                               throws DuplicateKeyException,
                                      KeyNotFoundException

  Add an application account.

  Parameters:
    `applicationIdentifier` - The application identifier.
    `serviceProviderIdentifier` - The service provider.
    `applicationGroupIdentifier` - The application group.
    `reference` - The account reference.
  Throws:
    `com.bea.wlcp.wlng.api.management.DuplicateKeyException` - If such an account already exists.
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such parent account or account group exists.
    `DuplicateKeyException`
    `KeyNotFoundException`

### addServiceProviderAccount

    public void addServiceProviderAccount(String serviceProviderIdentifier,
                                          String serviceProviderGroupIdentifier,
                                          String reference)
                                   throws DuplicateKeyException,
                                          KeyNotFoundException

  Add a service provider account.

  Parameters:
    `serviceProviderIdentifier` - The account identifier.
    `serviceProviderGroupIdentifier` - The service provider group.
    `reference` - The account reference.
  Throws:
    `com.bea.wlcp.wlng.api.management.DuplicateKeyException` - If such an account already exists.
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account group exists.
    `DuplicateKeyException`
    `KeyNotFoundException`

### countApplicationAccounts

    public int countApplicationAccounts(String serviceProviderIdentifier,
                                        String applicationGroupIdentifier,
                                        String state)
                                 throws KeyNotFoundException

  Get number of application accounts.

  Parameters:
    `serviceProviderIdentifier` - The service provider (optional).
    `applicationGroupIdentifier` - The application group identifier (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
  Returns:
    The number of child accounts for specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - if no such account or group exists.
    `KeyNotFoundException`

### countServiceProviderAccounts

    public int countServiceProviderAccounts(String serviceProviderGroupIdentifier,
                                            String state)
                                     throws KeyNotFoundException

  Get number of service provider accounts.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
  Returns:
    The number of accounts for specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - if no such group exists.
    `KeyNotFoundException`

### getApplicationAccount

    public ApplicationDescription getApplicationAccount(String applicationIdentifier,
                                                        String serviceProviderIdentifier)

  Get account description.

  Parameters:
    `applicationIdentifier` - The account identifier.
    `serviceProviderIdentifier` - The service provider.
  Returns:
    The application account description or null if it didn't exist.

### getServiceProviderAccount

    public ServiceProviderDescription getServiceProviderAccount(String serviceProviderIdentifier)

  Get account description.

  Parameters:
    `serviceProviderIdentifier` - The account identifier.
  Returns:
    The child account description or null if no such account exists.

### listApplicationAccounts

    public Set listApplicationAccounts(String serviceProviderIdentifier,
                                       String applicationGroupIdentifier,
                                       String state,
                                       int offset,
                                       int size)
                                throws KeyNotFoundException

  List application accounts.

  Parameters:
    `serviceProviderIdentifier` - The service provider (optional).
    `applicationGroupIdentifier` - The application group identifier (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The application accounts matching specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - if no such account or group exists.
    `KeyNotFoundException`

### listServiceProviderAccounts

    public Set listServiceProviderAccounts(String serviceProviderGroupIdentifier,
                                           String state,
                                           int offset,
                                           int size)
                                    throws KeyNotFoundException

  List service provider accounts.

  Parameters:
    `serviceProviderGroupIdentifier` - The service provider group identifier (optional).
    `state` - The state (ACTIVATED or DEACTIVATED) (optional).
    `offset` - Offset in complete resultset. Must be >= 0.
    `size` - Number of entries to return. 0 means no limit.
  Returns:
    The service provider accounts matching specified filter.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - if no such group exists.
    `KeyNotFoundException`

### removeApplicationAccount

    public void removeApplicationAccount(String applicationIdentifier,
                                         String serviceProviderIdentifier)
                                  throws ManagementException

  Remove a deactivated empty application account. The account must be deactivated and not have any associated users.

  Parameters:
    `applicationIdentifier` - The application account.
    `serviceProviderIdentifier` - The service provider account.
  Throws:
    `com.bea.wlcp.wlng.api.management.ManagementException` - If the account is not in deactivated state or contains users.
    `ManagementException`

### removeServiceProviderAccount

    public void removeServiceProviderAccount(String serviceProviderIdentifier)
                                      throws ManagementException

  Remove a deactivated empty service provider account. Removing the account is not allowed if it is ACTIVATED or contains application accounts.

  Parameters:
    `serviceProviderIdentifier` - The account.
  Throws:
    `com.bea.wlcp.wlng.api.management.ManagementException` - If the account contains child accounts or is not in deactivated state.
    `ManagementException`

### setApplicationAccountGroup

    public void setApplicationAccountGroup(String applicationIdentifier,
                                           String serviceProviderIdentifier,
                                           String applicationGroupIdentifier)
                                    throws KeyNotFoundException

  Set group for an application account.

  Parameters:
    `applicationIdentifier` - The account.
    `serviceProviderIdentifier` - The service provider account ID.
    `applicationGroupIdentifier` - The new group or null if group should not change.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setApplicationAccountProperties

    public void setApplicationAccountProperties(String applicationIdentifier,
                                                String serviceProviderIdentifier,
                                                Set properties)
                                         throws KeyNotFoundException

  Set properties for an application account.

  Parameters:
    `applicationIdentifier` - The account.
    `serviceProviderIdentifier` - The service provider account ID.
    `properties` - The new properties. A set with Map.Entry.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setApplicationAccountReference

    public void setApplicationAccountReference(String applicationIdentifier,
                                               String serviceProviderIdentifier,
                                               String reference)
                                        throws KeyNotFoundException

  Set reference for an application account.

  Parameters:
    `applicationIdentifier` - The account.
    `serviceProviderIdentifier` - The service provider account ID.
    `reference` - The account reference.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setApplicationAccountState

    public void setApplicationAccountState(String applicationIdentifier,
                                           String serviceProviderIdentifier,
                                           String state)
                                    throws KeyNotFoundException

  Set state for an application account.

  Parameters:
    `applicationIdentifier` - The account.
    `serviceProviderIdentifier` - The service provider account ID.
    `state` - The new state or null if state should not change.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setServiceProviderAccountGroup

    public void setServiceProviderAccountGroup(String serviceProviderIdentifier,
                                               String serviceProviderGroupIdentifier)
                                        throws KeyNotFoundException

  Set group for a service provider account.

  Parameters:
    `serviceProviderIdentifier` - The account.
    `serviceProviderGroupIdentifier` - The new group or null if group should not change.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setServiceProviderAccountProperties

    public void setServiceProviderAccountProperties(String serviceProviderIdentifier,
                                                    Set properties)
                                             throws KeyNotFoundException

  Set properties for a service provider account.

  Parameters:
    `serviceProviderIdentifier` - The account.
    `properties` - The new properties. A set with Map.Entry.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setServiceProviderAccountReference

    public void setServiceProviderAccountReference(String serviceProviderIdentifier,
                                                   String reference)
                                            throws KeyNotFoundException

  Set state for a service provider account.

  Parameters:
    `serviceProviderIdentifier` - The account.
    `reference` - The account reference.
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

### setServiceProviderAccountState

    public void setServiceProviderAccountState(String serviceProviderIdentifier,
                                               String state)
                                        throws KeyNotFoundException

  Set state for a service provider account.

  Parameters:
    `serviceProviderIdentifier` - The account.
    `state` - The new state (ACTIVATED or DEACTIVATED).
  Throws:
    `com.bea.wlcp.wlng.api.management.KeyNotFoundException` - If no such account could be found.
    `KeyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD